Oracle extent method does not use mUseExtendedMetadata
Regression?: No
Description

Hello,

when | open an Oracle Spatial layer with the option "Use Estimated Metadata" checked, Qgis always make an SDO_TUNE.Extent query
(SELECT SDO_TUNE.EXTENT_OF(%1,%2) FROM dual) rather than determining extent from all_sdo_geom_metadata.

In the method QgsOracleProvider::extent() (in src/provider/oracle/qgsoracleprovider.cpp ), it seems that the mUseEstimatedMetadata

value is always false because | am not able to see other query than SDO_TUNE.EXTENT_OF even if the good option is activated. Is it

possible that the value is always false because it is reset earlier in the code ?

Associated revisions

Revision 3978bff4 - 2014-04-19 10:14 PM - Jiirgen Fischer
oracle provider:
- retrieve comment of materialized views (implements #10063)
- use detected srid (fixes #10091)
- initialize mUseEstimatedMetadata (fixes #10092)
- also consider username in temporary saved credentials (fixes #10093)

History

#1 - 2014-04-18 06:41 AM - Médéric RIBREUX

- Assignee set to Jirgen Fischer

It is not a duplicate of #8850...

It seems that in Qgis 2.2 commit:45fea7b461ab3a61b0d0d034b0f696c85d315499 is never executed (because of mUseEstimatedMetadata value?).

#2 - 2014-04-18 10:13 AM - Jiirgen Fischer
- Category set to Data Provider/Oracle

- Subject changed from Oracle extent methode do not use mUseExtendedMetadata to Oracle extent method does not use mUseExtendedMetadata

#3 - 2014-04-19 01:16 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"3978bff44709dd251f1739b441a5934f06653011".
https://github.com/qgis/QGIS/blob/master/src/providers/oracle/qgsoracleprovider.cpp#L1980
